PHP Manual
Prev |  | Next

# SDO_DAS_DataFactory::getDataFactory

(no version information, might be only in CVS)

SDO_DAS_DataFactory::getDataFactory -- Get a data factory instance

## Description

SDO_DAS_DataFactory SDO_DAS_DataFactory::getDataFactory ( void )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Static method to get an instance of an SDO_DAS_DataFactory. This instance is initially only configured with the basic SDO types. A Data Access Service is responsible for populating the data factory model and then allowing PHP applications to create SDOs based on the model through the SDO_DataFactory interface. PHP applications should always obtain a data factory from a configured Data Access Service, not through this interface.

## Parameters

None.

## Return Values

Returns an SDO_DAS_DataFactory.

Prev | Home | Next
SDO_DAS_DataFactory::addType | Up | SDO_DAS_DataObject::getChangeSummary